﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Drawing.Drawing2D;

namespace Gradient
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void PaintGradient(Control ControlName, LinearGradientMode Direction, Color SatartColor, Color EndColor)
        {
            LinearGradientBrush GradBrush;
            GradBrush = new LinearGradientBrush(new Rectangle(0, 0, ControlName.Width, ControlName.Height), SatartColor, EndColor, Direction);
            Bitmap bmp = new Bitmap(ControlName.Width, ControlName.Height);
            Graphics g = Graphics.FromImage(bmp);
            g.FillRectangle(GradBrush, new Rectangle(0, 0, ControlName.Width, ControlName.Height));
            ControlName.BackgroundImage = bmp;
            ControlName.BackgroundImageLayout = ImageLayout.Stretch;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            PaintGradient(button1, LinearGradientMode.Vertical, Color.Red, Color.Yellow);
            PaintGradient(label1, LinearGradientMode.ForwardDiagonal, Color.Blue, Color.BlueViolet);
        }
    }
}
